# Deconstruct People

![](/files/-MihpeEj6y0xrwTAmrcY)

![](/files/-MihpeEkIaw7-tE8d86w) - [\[source code\]](https://github.com/ladybug-tools/honeybee-grasshopper-energy/blob/master/honeybee_grasshopper_energy/src//HB%20Deconstruct%20People.py)

Deconstruct a People object into its constituient properties.

## Inputs

* **people \[Required]**

  A People object to deconstruct.&#x20;

## Outputs

* **name**

  Text string for the people object display name.&#x20;
* **ppl\_per\_area**

  A numerical value for the number of people per square meter of floor area.&#x20;
* **occupancy\_sch**

  A fractional schedule for the occupancy over the course of the year. The fractional values in this schedule get multiplied by the \_people\_per\_area to yield a complete occupancy profile.&#x20;
* **activity\_sch**

  A schedule for the activity of the occupants over the course of the year. The type limt of this schedule are "Power" and the values of the schedule equal to the number of Watts given off by an individual person in the room.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ladybug.tools/hb-energy-primer/components/3_loads/deconstruct_people.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
